import { BbTranslateConfig, BbTranslateData } from './translate.interfaces';
import { Interpolator } from '../core/services/interpolator.service';
import { Language } from '../core/services/language.service';
export declare class BbTranslate {
    private _language;
    private _interpolator;
    private _config;
    private readonly _dictionary;
    private _currentDictionary;
    constructor(_language: Language, _interpolator: Interpolator, _config: BbTranslateConfig);
    use(language: string): void;
    translate(token: string, data?: BbTranslateData): any;
    private log;
}
